%%%-------------------------------------------------------------------
%%% @author : tyl
%%% @doc     自选扭蛋-头文件
%%% Module  : select_capsule_egg.hrl
%%% Created : 2021-06-01
%%% @end
%%%-------------------------------------------------------------------

-define(POOL_TYPE1_NUM,  1).        %% 至尊品质数量
-define(POOL_TYPE2_NUM,  3).        %% 珍稀品质数量
-define(POOL_TYPE3_NUM,  4).        %% 普通品质数量
-define(POOLS_NUM,       8).        %% 所有品质数量

%% 自选扭蛋数据
-record(select_egg_data, {
	reward_list   = []      %% 剩余扭蛋Id
	,select_list  = []      %% 选择的扭蛋
	,draw_times   = 0       %% 本轮抽奖次数
	,reset_times  = 0       %% 重置次数
	,is_ensure    = 0       %% 是否已经确认奖励，不更改
}).

%% ==================================== 后台配置 ===========================
%% 自选扭蛋奖励配置表
-record(base_select_egg_reward, {
	id          = 0         %% 奖励id
	,act_id     = 0         %% 活动Id
	,goods      = []        %% 奖励
	,weight     = 0         %% 权重
	,day_min    = 0         %% 天数下限
	,day_max    = 0         %% 天数上限
	,pool_id    = 0         %% 奖池Id 1-至尊 2-珍稀 3-普通
	,need_times = 0         %% 入库次数
}).

%% 自选扭蛋抽奖消耗配置
-record(base_select_egg_cost, {
	 act_id     = 0         %% 活动Id
	,times      = 0         %% 抽奖次数
	,cost       = []        %% 消耗
	,day_min    = 0         %% 天数下限
	,day_max    = 0         %% 天数上限
}).

